Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001942TestLinkReportspublic2008-12-21 01:452010-11-14 12:07
ReporterLaurent 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 2 
Fixed in Version1.9 (Prague) 
Summary0001942: Inactive builds are still used when computing test plan metrics
DescriptionEven when a build is set to closed/inactive, the test plan metric and charts does show the results.

It appears that the code computing the metric disregards this property (active/inactive).

Additional InformationHow to reproduce:
1-Create a build (1) and execute say 1 test case
2-Create a second build (2) and execute a second test (not the same)
3-De-activate/close build (1)
4-Go to test plan metrics and generate the report and check overall build status
5-Go to charts

Expect result:
Build 1 should not be listed under overall build status
Only one executed test case should be shown on chart as opposed to 2
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox
PHP Version5
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0012215)
fman (administrator)
2010-10-31 18:31

Reminder sent to: Julian

would you mind to check if this is obsolete and then can be closed ?
(0012216)
Julian (reporter)
2010-10-31 18:35

will assign to me and check if i have a little time
(0012217)
Laurent (reporter)
2010-10-31 22:58

Let me first attempt to reproduce it on 1.9
(0012287)
Julian (reporter)
2010-11-06 12:26

i am waiting :)
(0012310)
Laurent (reporter)
2010-11-07 06:42

Can't repro the issue on 1.9 RC1! Sorry for the delay
(0012311)
Julian (reporter)
2010-11-07 09:14

thanks for the feedback - will set to fixed then.
(0012468)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2008-12-21 01:45 Laurent New Issue
2008-12-21 01:45 Laurent Browser => Firefox
2008-12-21 01:45 Laurent PHP Version => 5
2010-10-31 18:31 fman Note Added: 0012215
2010-10-31 18:35 Julian Assigned To => Julian
2010-10-31 18:35 Julian Status new => assigned
2010-10-31 18:35 Julian Note Added: 0012216
2010-10-31 22:58 Laurent Note Added: 0012217
2010-11-06 12:26 Julian Note Added: 0012287
2010-11-06 12:26 Julian Status assigned => feedback
2010-11-07 06:42 Laurent Note Added: 0012310
2010-11-07 06:42 Laurent Status feedback => assigned
2010-11-07 09:14 Julian Note Added: 0012311
2010-11-07 09:14 Julian Status assigned => resolved
2010-11-07 09:14 Julian Fixed in Version => 1.9 (Prague)
2010-11-07 09:14 Julian Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012468
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker